Bug 18786 - Xconfigurator removed XkbModel field in /etc/X11/XF86Config-4
Xconfigurator removed XkbModel field in /etc/X11/XF86Config-4
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-10-10 04:42 EDT by Bill Huang
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-05 01:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Huang 2000-10-10 04:42:52 EDT
After 7J is installed,reboot the system.
If Xconfigurator is used to configure monitor, 
Option  "XkbModel"      "jp106"
is removed in file /etc/X11/XF86Config-4.
So, japanese keyboard model isn't correctly set.
Comment 1 Trond Eivind Glomsrxd 2000-10-10 09:51:34 EDT
Xconfigurator doesn't remove the option... it regenerates the entire file. Under
what circumstances should it generate such values?
Comment 2 Bill Huang 2000-10-10 22:35:18 EDT
Actually Xconfigurator just regenerates the entire file without considering the
original file.
After OS is installed by anaconda,the option XkbModel is added in the file.Maybe
when keyboard model is selected in anaconda,the option is added.But in
Xconfigurator,no keyboard model is needed to be selected,so the option is
ignored when regenerates the file.There may be two motheds to solve the problem:
1. regenerate the file referring the mothed in anaconda.
2. regenerate the file using the option XkbModel originally.
Comment 3 Trond Eivind Glomsrxd 2000-10-17 18:08:48 EDT
The X detection in GUI mode is native to anaconda, and not Xconfigurator.

What does the /etc/sysconfig/keyboard look like on a 7.0J system?
Comment 4 Bill Huang 2000-10-17 22:54:06 EDT
Comment 5 Trond Eivind Glomsrxd 2000-10-23 12:09:20 EDT
OK, I've checked some changes into CVS. Can you try them and see if they fix the
Comment 6 Trond Eivind Glomsrxd 2000-12-04 18:33:31 EST
Comment 7 Bill Huang 2000-12-05 01:51:02 EST
Sorry to response too late,actually I have been in China from Nov.21 to Dec.3.
The changes in CVS are Ok,the problem is fixed.

Note You need to log in before you can comment on or make changes to this bug.